SINGULAR(1)

NAME
Singular - manual page for Singular for version 3-x-x

DESCRIPTION

  Singular -- a CAS for polynomial computations.

  ESingular: starts-up Singular within emacs.

  TSingular: starts-up Singular within a new terminal

SYNTAX
Singular [options] [file1 [file2 ...]] ESingular [options] [file1 [file2 ...]] TSingular [options] [file1 [file2 ...]]

OPTIONS

-b --batch
    Run in MP batch mode

-c --execute=STRING
    Execute STRING on start-up

-d --sdb
    Enable source code debugger (experimental)

-e --echo[=VAL]
    Set value of variable `echo' to (integer) VAL

-h --help
    Print help message and exit

-q --quiet
    Do not print start-up banner and lib load messages

-r --random=SEED
    Seed random generator with integer (integer) SEED

-t --no-tty
    Do not redefine the terminal characteristics

-u --user-option=STRING
    Return STRING on `system("--user-option")'

-v --version
    Print extended version and configuration info

--allow-net
    Allow to fetch (html) help pages from the net

--browser=BROWSER
    Display help in BROWSER ([x,tk]info, firefox, ...)

--cntrlc=C
    non-interactive interrupt handling: C is the answer to (a)bort, (c)ontinue, (q)uit

--emacs
    Set defaults for running within emacs

--no-stdlib
    Do not load `standard.lib' on start-up

--no-rc
    Do not execute `.singularrc' file(s) on start-up

--no-warn
    Do not display warning messages

--no-out
    Suppress all output

--no-shell
    Restricted mode: Prohibit shell escape commands and links

--min-time=SECS
    Do not display times smaller than SECS (in seconds)

--MPport=PORT
    Use PORT number for connections

--MPhost=HOST
    Use HOST for connections

--link=LINKTYPE
    Use LINKTYPE for connections

--MPrsh=RSH
    Use RSH for MP connections

--ticks-per-sec=TICKS
    Sets unit of timer to TICKS per second

--cpus=CPUS
    maximal number of CPUs to use

For more information, type `help;' from within Singular or visit http://www.singular.uni-kl.de or consult the Singular manual (available as on-line info or html manual).

SEE ALSO
The full documentation for Singular is maintained as a Texinfo manual.